<?xml version='1.0' encoding='utf-8'?>
<ComicInfo xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
  <Title>Prog 2207</Title>
  <Series>2000 AD</Series>
  <Number>2207</Number>
  <Summary>*BORAG THUNGG, EARTHLETS – Prog 2207 is OUT NOW!*
After Tharg’s nephew Joko-Jargo’s all-ages takeover last week — we trust you enjoyed the latest Regened prog, Terrans; there’ll be more bumper issues next year, and our droids are already beavering away on the next batch of Thrills for them!

It’s back to the regular business of the Galaxy’s Greatest this week, with a new case for Judge Dredd starting this prog, courtesy of Ken Niemand and Steven Austin, alongside the latest instalments of Stickleback, Skip Tracer, Hook-Jaw and Fiends of the Eastern Front.

In fact, unbelievably, we’re only just over a month away from the end-of-year 100-page behemoth that has now been a tradition for an astounding twenty years! Prog 2212 goes on sale 16 December, but it’s up for pre-order on shop.2000AD.com so sign up and you’ll get your copy hot from the print-bots.

You can get a rundown of the contents of this scrotnig issue on the site but we’ll naturally be giving you tasters over the next five weeks!

If your hunger for Thrills cannot be satiated by comics alone, then may we point you in the direction of the new Dredd prose collection Judge Fear’s Big Day Out, a chunky omnibus of Mega-City short stories from Alan Grant, Si Spurrier, Mike Carroll and more!

Cover: Cliff Robinson - Dylan Teague

Judge Dredd - Simply Normal (Part 1) (Kenneth Niemand - Steven Austin)
Stickleback - New Jerusalem (Part Seven) (Ian Edginton - D'Israeli)
Skip Tracer - Hyperballad (Part Seven) (James Peaty - Paul Marshall)
Fiends of the Eastern Front - Constanta (Part 6) (Ian Edginton - Tiernen Trevallion)
Hook Jaw (Seven) (Alec Worley - Leigh Gallagher)</Summary>
  <Notes>Tagged with ComicTagger 1.6.0a0 using info from Comic Vine on 2023-07-24 20:22:13.  [Issue ID 817580]</Notes>
  <Year>2020</Year>
  <Month>11</Month>
  <Day>11</Day>
  <Writer>Alec Worley, Ian Edginton, James Peaty, Kenneth Niemand</Writer>
  <Penciller>D'Israeli, Leigh Gallagher, Paul Marshall, Steven Austin, Tiernen Trevallion</Penciller>
  <Inker>D'Israeli, Leigh Gallagher, Paul Marshall, Steven Austin, Tiernen Trevallion</Inker>
  <Colorist>Chris Blythe, Dylan Teague</Colorist>
  <Letterer>Annie Parkhouse, Jim Campbell, Simon Bowland</Letterer>
  <CoverArtist>Cliff Robinson, Dylan Teague</CoverArtist>
  <Publisher>Rebellion</Publisher>
  <Web>https://comicvine.gamespot.com/2000-ad-2207-prog-2207/4000-817580/</Web>
  <PageCount>32</PageCount>
  <Characters>Captain Constanta, Hook Jaw, Judge Dredd, Miss Scarlet, Skip Tracer, Stickleback, Valentine Bey</Characters>
  <Teams>Rokurokubi</Teams>
  <Locations>Mega-City One</Locations>
  <Pages />
</ComicInfo>